Retrieve channel thread
import requests
url = "https://api.datagrid.com/v1/channels/{channel_id}/threads/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/channels/{channel_id}/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/channels/{channel_id}/threads/{thread_id} \
--header 'Authorization: Bearer <token>'{
"object": "thread",
"id": "<string>",
"channel_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"root_message_id": "<string>",
"name": "<string>"
}Channels
Retrieve channel thread
GET
/
channels
/
{channel_id}
/
threads
/
{thread_id}
Retrieve channel thread
import requests
url = "https://api.datagrid.com/v1/channels/{channel_id}/threads/{thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/channels/{channel_id}/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/channels/{channel_id}/threads/{thread_id} \
--header 'Authorization: Bearer <token>'{
"object": "thread",
"id": "<string>",
"channel_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"root_message_id": "<string>",
"name": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.